This project mainly aims at providing an unified interface for several newspapers. Side
objectives are to provide web API and different clients like a webUI or chatbots.

Several big components are planned for this project

```dot
digraph G {
    rankdir=TB
    node [shape=rectangle, style=filled, color="#779988"]

    subgraph cluster_frontend {
        color = transparent
        webui
        chatbot
    }


    webui -> api [color = red]
    chatbot -> api [color = red]

    subgraph cluster_backend {
        label = "Backend\ncrieur binary"
        labelloc =  b
        style=filled

        retrieve_tools [label="retrieve-tools"]
        retrieve_adapters [label="retrieve-adapters"]
        retrieve [label="retrieve-interface"]
        auto_retrieve [label="automatic-retrieve"]
        article_repr [label="article-representation\nRepresentation for articles"]
        api
        cache [label="Cache database"]
        rss [label="Atom/RSS adapters"]

        retrieve_tools -> retrieve_adapters
        retrieve_adapters -> retrieve
        retrieve_tools -> retrieve
        rss -> auto_retrieve
        article_repr -> retrieve_adapters

        retrieve -> api
        auto_retrieve -> api
        cache -> api

	}

}
```
